Update NEWS for v0.4.1
[libquvi.git] / autogen.sh
blobffacc4d2b8b3dbba47a240b061540ff32edb06c6
1 #!/bin/sh
3 # autogen.sh for libquvi
4 # Copyright (C) 2011 Toni Gundogdu
6 # This library is free software; you can redistribute it and/or
7 # modify it under the terms of the GNU Lesser General Public
8 # License as published by the Free Software Foundation; either
9 # version 2.1 of the License, or (at your option) any later version.
11 # This library is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY; without even the implied warranty of
13 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
14 # Lesser General Public License for more details.
16 # You should have received a copy of the GNU Lesser General Public
17 # License along with this library; if not, write to the Free Software
18 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
19 # 02110-1301 USA
21 set -e
23 source=.gitignore
24 cachedir=autom4te.cache
26 gen_manual()
28 echo "Generate manual..."
29 MAN=doc/man3/libquvi.3 ; POD=$MAN.pod ; VN=`./gen-ver.sh`
30 pod2man -c "libquvi manual" -n libquvi -s 3 -r "$VN" "$POD" "$MAN"
31 return $?
34 cleanup()
36 echo "WARNING!
37 Removes _files_ listed in $source and $cachedir directory.
38 Last chance to bail out (^C) before we continue."
39 read n1
40 [ -f Makefile ] && make distclean
41 for file in `cat $source`; do # Remove files only.
42 [ -e "$file" ] && [ -f "$file" ] && rm -f "$file"
43 done
44 [ -e "$cachedir" ] && rm -rf "$cachedir"
45 exit 0
48 help()
50 echo "Usage: $0 [-c|-h]
51 -h Show this help and exit
52 -c Make the source tree 'maintainer clean'
53 Run without options to (re)generate the configuration files."
54 exit 0
57 while [ $# -gt 0 ]
59 case "$1" in
60 -c) cleanup;;
61 -h) help;;
62 *) break;;
63 esac
64 shift
65 done
67 echo "Generate configuration files..."
68 autoreconf -if && gen_manual && echo "You can now run 'configure'"